namespace Db.Models;

public class Setting
{
    public required SettingName Name { get; set; }
    public required string Value { get; set; }

    // methods to convert Value to specific types that are not connected to entity framework
    public T GetValue<T>()
    {
        return (T)Convert.ChangeType(Value, typeof(T));
    }
}